# $Revision: 1.39.2.1 $, $Date: 2008-03-25 15:51:52 $
#
# Conditional build:
%bcond_without	gnome	# without GNOME extensions packages
#
Summary:	GNOME Structured File library
Summary(pl):	Biblioteka plikw strukturalnych dla GNOME
Name:		libgsf
Version:	1.13.3
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libgsf/1.13/%{name}-%{version}.tar.bz2
# Source0-md5:	b35e95f6bd7b8add9981b6cf6336674a
URL:		http://www.gnumeric.org/
%{?with_gnome:BuildRequires:	ORBit2-devel >= 2.8.1}
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	glib2-devel >= 1:2.6.0
%{?with_gnome:BuildRequires:	gnome-vfs2-devel >= 2.4.0}
BuildRequires:	gtk-doc >= 1.0
%{?with_gnome:BuildRequires:	libbonobo-devel >= 2.4.0}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.16
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for reading and writing structured files (e.g. MS OLE and
Zip).

%description -l pl
Biblioteka do odczytu i zapisu plikw strukturalnych (np. MS OLE lub
Zip).

%package devel
Summary:	Support files necessary to compile applications with libgsf
Summary(pl):	Pliki do kompilowania aplikacji uywajcych libgsf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	glib2-devel >= 1:2.6.0
Requires:	gtk-doc-common >= 1.0
Requires:	libxml2-devel >= 2.4.16

%description devel
Headers, and support files necessary to compile applications using
libgsf.

%description devel -l pl
Pliki nagwkowe i inne potrzebne do kompilowania aplikacji
uywajcych libgsf.

%package static
Summary:	libgsf static libraries
Summary(pl):	Statyczne biblioteki libgsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Package contains static libraries.

%description static -l pl
Statyczne biblioteki libgsf.

%package gnome
Summary:	GNOME specific extensions to libgsf
Summary(pl):	Rozszerzenia GNOME do biblioteki libgsf
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME specific extensions to libgsf.

%description gnome -l pl
Rozszerzenia GNOME do biblioteki libgsf.

%package gnome-devel
Summary:	libgsf-gnome header files
Summary(pl):	Pliki nagwkowe libgsf-gnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}
Requires:	gnome-vfs2-devel >= 2.4.0
Requires:	libbonobo-devel >= 2.4.0

%description gnome-devel
libgsf-gnome header files.

%description gnome-devel -l pl
Pliki nagwkowe libgsf-gnome.

%package gnome-static
Summary:	Static libgsf-gnome library
Summary(pl):	Statyczna biblioteka libgsf-gnome
Group:		Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libgsf-gnome library.

%description gnome-static -l pl
Statyczna biblioteka libgsf-gnome.

%package -n gsf-office-thumbnailer
Summary:	Simple document thumbnailer
Summary(pl):	Prosty generator miniatur dokumentw
Group:		X11/Applications
Requires(post,preun):   GConf2
Requires:	%{name}-gnome = %{version}-%{release}

%description -n gsf-office-thumbnailer
Simple document thumbnailer.

%description -n gsf-office-thumbnailer -l pl
Prosty program tworzcy miniaturki dokumentw.

%prep
%setup -q

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}/%{name} \
	%{!?with_gnome:--without-gnome}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_includedir}/%{name}-1/gsf-win32

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   gnome -p /sbin/ldconfig
%postun gnome -p /sbin/ldconfig

%post -n gsf-office-thumbnailer
%gconf_schema_install gsf-office-thumbnailer.schemas

%preun -n gsf-office-thumbnailer
%gconf_schema_uninstall gsf-office-thumbnailer.schemas

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_libdir}/libgsf-?.so.*.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libgsf-?.la
%attr(755,root,root) %{_libdir}/libgsf-?.so
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_pkgconfigdir}/libgsf-?.pc
%{_gtkdocdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/libgsf-?.a

%if %{with gnome}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsf-gnome-?.so.*.*

%files gnome-devel
%defattr(644,root,root,755)
%{_libdir}/libgsf-gnome-?.la
%attr(755,root,root) %{_libdir}/libgsf-gnome-?.so
%{_includedir}/libgsf-1/gsf-gnome
%{_pkgconfigdir}/libgsf-gnome-?.pc

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libgsf-gnome-?.a
%endif

%files -n gsf-office-thumbnailer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsf-office-thumbnailer
%{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%{_mandir}/man1/gsf-office-thumbnailer.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgsf.spec,v $
Revision 1.39.2.1  2008-03-25 15:51:52  glen
- release 2 (rebuild without libhowl.la poison)

Revision 1.39  2005-11-08 09:03:01  freetz
- 1.13.3

Revision 1.38  2005/10/10 15:32:25  freetz
- merged from DEVEL

Revision 1.37.2.7  2005/10/10 15:25:45  freetz
- 1.13.2

Revision 1.37.2.6  2005/10/10 15:10:26  freetz
- 1.13.1

Revision 1.37.2.5  2005/09/09 09:10:43  qboosh
- don't rely on man gzipping

Revision 1.37.2.4  2005/09/08 14:12:03  aflinta
- 1.12.3

Revision 1.37.2.3  2005/08/16 10:06:42  freetz
- 1.12.2, gsf-office-thumbnailer subpackage added

Revision 1.37.2.2  2005/07/03 18:01:36  freetz
- 1.12.1

Revision 1.37.2.1  2005/05/20 14:56:09  paladine
- updated to 0.12.0

Revision 1.37  2005/05/20 14:25:58  paladine
- reverted (0.12.0 is for DEVEL)

Revision 1.36  2005/05/20 13:53:07  paladine
- updated to 0.12.0

Revision 1.35  2004/12/11 00:04:15  ankry
- rel. 2

Revision 1.34  2004/12/06 18:36:02  freetz
- 1.11.1, STBR

Revision 1.33  2004/11/29 09:18:02  freetz
- 1.11.0 (it's stable for gnumeric 1.4.0)

Revision 1.32  2004/08/20 22:48:20  aflinta
- up to version 1.10.1

Revision 1.31  2004/07/04 21:20:33  grzegol
- updated to 1.10.0

Revision 1.30  2004/06/11 23:06:31  jpc
- remove unneeded win32 include files

Revision 1.29  2004/05/16 22:07:33  freetz
- oops, docs build is enabled by default (sorry about that)

Revision 1.28  2004/05/16 21:55:27  freetz
- 1.9.1

Revision 1.27  2004/05/05 10:53:59  grzegol
- updated to 1.9.0
- strict internal deps

Revision 1.26  2004/01/22 13:57:22  qboosh
- new-style bcond, release 2

Revision 1.25  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.24  2003/10/14 16:29:37  qboosh
- BR+R: bzip2-devel

Revision 1.23  2003/09/13 10:02:05  grzegol
- updated to 1.8.2

Revision 1.22  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.21  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.20  2003/06/07 08:39:17  wiget
- updated to 1.8.1

Revision 1.19  2003/05/27 09:47:07  trojan
- added Source-md5

Revision 1.18  2003/05/25 05:49:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/12 21:09:15  aflinta
- version 1.8.0

Revision 1.16  2003/04/27 14:11:47  qboosh
- added _without_gnome bcond

Revision 1.15  2003/01/28 09:12:44  aflinta
- updated to version 1.7.2, removed obsoleted patch

Revision 1.14  2003/01/18 07:39:49  trojan
- fixed files (no need 755 for *.la)

Revision 1.13  2002/11/18 22:30:06  wrobell
- rel. 2

Revision 1.12  2002/10/30 13:22:15  qboosh
- one R more

Revision 1.11  2002/10/30 13:20:52  qboosh
- split done, added Requires for -devel packages

Revision 1.10  2002/10/29 18:21:44  wiget
- typo

Revision 1.9  2002/10/29 18:21:09  wiget
- more BRs

Revision 1.8  2002/10/29 17:04:46  wiget
- updated to 1.5.0
- removed unused gettext things

Revision 1.7  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/08/31 15:56:47  qboosh
- pl descriptions, more BRs, release 2

Revision 1.5  2002/08/30 07:42:08  kura
- added -f to rm in %clean

Revision 1.4  2002/08/27 22:56:07  kloczek
- cosmetics.

Revision 1.3  2002/08/27 22:11:28  michuz
- added post & postun

Revision 1.2  2002/08/27 22:08:04  michuz
- fixed BR

Revision 1.1  2002/08/27 22:03:42  michuz
- initial release
